<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>OsmPOI</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="declaration: package: fr.ici.buildingActivity.osm, class: OsmPOI">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested-class-summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.buildingActivity.osm</a></div>
<h1 title="Class OsmPOI" class="title">Class OsmPOI</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIClass
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIObject
<div class="inheritance"><a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">fr.ici.buildingActivity.poi.POI</a>
<div class="inheritance">fr.ici.buildingActivity.osm.OsmPOI</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">OsmPOI</span>
<span class="extends-implements">extends <a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></span></div>
<div class="block">OpenStreetMap point of interest. types are gotten from this <a href="https://geodatamine.fr/">project</a>
 todo complete nomenclature</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li>
<section class="nested-class-summary" id="nested-class-summary">
<h2>Nested Class Summary</h2>
<div class="inherited-list">
<h2 id="nested-classes-inherited-from-class-fr.ici.buildingActivity.poi.POI">Nested classes/interfaces inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h2>
<code><a href="../poi/POI.StrategyGenerationValue.html" title="enum class in fr.ici.buildingActivity.poi">POI.StrategyGenerationValue</a></code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="#osmID" class="member-name-link">osmID</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color"><code><a href="#outdoor" class="member-name-link">outdoor</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.buildingActivity.poi.POI">Fields inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h3>
<code><a href="../poi/POI.html#activity">activity</a>, <a href="../poi/POI.html#address">address</a>, <a href="../poi/POI.html#area">area</a>, <a href="../poi/POI.html#attendance">attendance</a>, <a href="../poi/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../poi/POI.html#capacity">capacity</a>, <a href="../poi/POI.html#codeINSEE">codeINSEE</a>, <a href="../poi/POI.html#codePost">codePost</a>, <a href="../poi/POI.html#complementAdress">complementAdress</a>, <a href="../poi/POI.html#hasLocal">hasLocal</a>, <a href="../poi/POI.html#idBuilding">idBuilding</a>, <a href="../poi/POI.html#isOpenToPublic">isOpenToPublic</a>, <a href="../poi/POI.html#localProbability">localProbability</a>, <a href="../poi/POI.html#nAddress">nAddress</a>, <a href="../poi/POI.html#name">name</a>, <a href="../poi/POI.html#nomenclature">nomenclature</a>, <a href="../poi/POI.html#nWorker">nWorker</a>, <a href="../poi/POI.html#openingHour">openingHour</a>, <a href="../poi/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../poi/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../poi/POI.html#p">p</a>, <a href="../poi/POI.html#reallyOpenLockdownMarch20">reallyOpenLockdownMarch20</a>, <a href="../poi/POI.html#strategyGenerationValue">strategyGenerationValue</a>, <a href="../poi/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../poi/POI.html#typeNameIci">typeNameIci</a>, <a href="../poi/POI.html#typeNameSource">typeNameSource</a>, <a href="../poi/POI.html#typeRoad">typeRoad</a>, <a href="../poi/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIClass">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIClass</h3>
<code>DEBUG, rdGen</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point,int,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">OsmPOI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;osmID,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nAddress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeRoad,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;codeINSEE,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeEn,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeFr,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeIci,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 org.locationtech.jts.geom.Point&nbsp;p,
 int&nbsp;capacity,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;openingHour,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;outdoor,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;openingFirstLockdown)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getCapacity(org.opengis.feature.simple.SimpleFeature)" class="member-name-link">getCapacity</a><wbr>(org.opengis.feature.simple.SimpleFeature&nbsp;sf)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importOsmFromICIPOI(java.io.File)" class="member-name-link">importOsmFromICIPOI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmPOIFile)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">import a list of OSM POI from a ICI generated file.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importOsmPOI(java.io.File,java.util.List,org.locationtech.jts.geom.Geometry)" class="member-name-link">importOsmPOI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmPOIFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&gt;&nbsp;caResteOuvert,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">import a list of OSM POI from a file.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importOsmPOIGeoDataMine(java.io.File,java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importOsmPOIGeoDataMine</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmFolderOutput,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;caResteOuvert,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import a list of OSM POI from a geodatamine dump.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.buildingActivity.poi.POI">Methods inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h3>
<code><a href="../poi/POI.html#exportListPOI(java.util.List,java.lang.String,boolean,java.io.File)">exportListPOI</a>, <a href="../poi/POI.html#exportListPOI(java.util.List,java.lang.String,java.io.File)">exportListPOI</a>, <a href="../poi/POI.html#generateAndImportPOIFromICIFolder(java.io.File,java.lang.String,java.util.List,java.time.LocalDate,boolean)">generateAndImportPOIFromICIFolder</a>, <a href="../poi/POI.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../poi/POI.html#generateSimpleFeature(java.lang.String)">generateSimpleFeature</a>, <a href="../poi/POI.html#generateSyntheticPOI(int,org.locationtech.jts.geom.Polygon)">generateSyntheticPOI</a>, <a href="../poi/POI.html#getAttendance()">getAttendance</a>, <a href="../poi/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../poi/POI.html#getIdentification()">getIdentification</a>, <a href="../poi/POI.html#getLocalProbability()">getLocalProbability</a>, <a href="../poi/POI.html#getSFB()">getSFB</a>, <a href="../poi/POI.html#getSFB(java.lang.String)">getSFB</a>, <a href="../poi/POI.html#getSFCPOI(java.util.List,java.lang.String,boolean)">getSFCPOI</a>, <a href="../poi/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../poi/POI.html#importPOI(java.io.File,org.locationtech.jts.geom.Geometry)">importPOI</a>, <a href="../poi/POI.html#isActive()">isActive</a>, <a href="../poi/POI.html#isHasLocal()">isHasLocal</a>, <a href="../poi/POI.html#isValid()">isValid</a>, <a href="../poi/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../poi/POI.html#setArea(double)">setArea</a>, <a href="../poi/POI.html#setHasLocal(boolean)">setHasLocal</a>, <a href="../poi/POI.html#setLocalProbability(float)">setLocalProbability</a>, <a href="../poi/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIObject</h3>
<code>equals, getID, getType, hashCode, setID, setRdGen, setType</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="outdoor">
<h3>outdoor</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">outdoor</span></div>
</section>
</li>
<li>
<section class="detail" id="osmID">
<h3>osmID</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">osmID</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point,int,java.lang.String,java.lang.String,java.lang.String)">
<h3>OsmPOI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">OsmPOI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;osmID,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nAddress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeRoad,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;codeINSEE,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeEn,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeFr,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeIci,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 org.locationtech.jts.geom.Point&nbsp;p,
 int&nbsp;capacity,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;openingHour,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;outdoor,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;openingFirstLockdown)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importOsmFromICIPOI(java.io.File)">
<h3>importOsmFromICIPOI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</span>&nbsp;<span class="element-name">importOsmFromICIPOI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmPOIFile)</span>
                                        throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">import a list of OSM POI from a ICI generated file.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>osmPOIFile</code> - the dump from OSM</dd>
<dt>Returns:</dt>
<dd>a <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link"><code>List</code></a> of <a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm"><code>OsmPOI</code></a></dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - from CollecMgmt.getDataStore()</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importOsmPOI(java.io.File,java.util.List,org.locationtech.jts.geom.Geometry)">
<h3>importOsmPOI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</span>&nbsp;<span class="element-name">importOsmPOI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmPOIFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&gt;&nbsp;caResteOuvert,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                 throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">import a list of OSM POI from a file. Can be used on an overpass dump or on single geodatamine dump.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>osmPOIFile</code> - the dump from OSM</dd>
<dd><code>caResteOuvert</code> - can be found <a href="https://www.data.gouv.fr/fr/datasets/lieux-ouverts-ou-fermes-pendant-le-confinement-covid-19/">here</a></dd>
<dt>Returns:</dt>
<dd>a <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link"><code>List</code></a> of <a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm"><code>OsmPOI</code></a></dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - from CollecMgmt.getDataStore()</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importOsmPOIGeoDataMine(java.io.File,java.io.File,org.locationtech.jts.geom.Geometry)">
<h3>importOsmPOIGeoDataMine</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a>&gt;</span>&nbsp;<span class="element-name">importOsmPOIGeoDataMine</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;osmFolderOutput,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;caResteOuvert,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                            throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import a list of OSM POI from a geodatamine dump. Look to the ça reste ouvert file.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>osmFolderOutput</code> - folder where the geodatamine dump has been stored. Every geo files from the set type will be imported.</dd>
<dd><code>mask</code> - optional geographic overlaying mask</dd>
<dt>Returns:</dt>
<dd>a <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link"><code>List</code></a> of processed <a href="OsmPOI.html" title="class in fr.ici.buildingActivity.osm"><code>OsmPOI</code></a></dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - from importOsmPOI</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCapacity(org.opengis.feature.simple.SimpleFeature)">
<h3>getCapacity</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getCapacity</span><wbr><span class="parameters">(org.opengis.feature.simple.SimpleFeature&nbsp;sf)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
